

# UpdateEksAnywhereSubscription
<a name="API_UpdateEksAnywhereSubscription"></a>

Update an EKS Anywhere Subscription. Only auto renewal and tags can be updated after subscription creation.

## Request Syntax
<a name="API_UpdateEksAnywhereSubscription_RequestSyntax"></a>

```
POST /eks-anywhere-subscriptions/id HTTP/1.1
Content-type: application/json

{
   "autoRenew": boolean,
   "clientRequestToken": "string"
}
```

## URI Request Parameters
<a name="API_UpdateEksAnywhereSubscription_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_UpdateEksAnywhereSubscription_RequestSyntax) **   <a name="AmazonEKS-UpdateEksAnywhereSubscription-request-uri-id"></a>
The ID of the subscription.  
Required: Yes

## Request Body
<a name="API_UpdateEksAnywhereSubscription_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [autoRenew](#API_UpdateEksAnywhereSubscription_RequestSyntax) **   <a name="AmazonEKS-UpdateEksAnywhereSubscription-request-autoRenew"></a>
A boolean indicating whether or not to automatically renew the subscription.  
Type: Boolean  
Required: Yes

 ** [clientRequestToken](#API_UpdateEksAnywhereSubscription_RequestSyntax) **   <a name="AmazonEKS-UpdateEksAnywhereSubscription-request-clientRequestToken"></a>
Unique, case-sensitive identifier to ensure the idempotency of the request.  
Type: String  
Required: No

## Response Syntax
<a name="API_UpdateEksAnywhereSubscription_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "subscription": { 
      "arn": "string",
      "autoRenew": boolean,
      "createdAt": number,
      "effectiveDate": number,
      "expirationDate": number,
      "id": "string",
      "licenseArns": [ "string" ],
      "licenseQuantity": number,
      "licenses": [ 
         { 
            "id": "string",
            "token": "string"
         }
      ],
      "licenseType": "string",
      "status": "string",
      "tags": { 
         "string" : "string" 
      },
      "term": { 
         "duration": number,
         "unit": "string"
      }
   }
}
```

## Response Elements
<a name="API_UpdateEksAnywhereSubscription_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [subscription](#API_UpdateEksAnywhereSubscription_ResponseSyntax) **   <a name="AmazonEKS-UpdateEksAnywhereSubscription-response-subscription"></a>
The full description of the updated subscription.  
Type: [EksAnywhereSubscription](API_EksAnywhereSubscription.md) object

## Errors
<a name="API_UpdateEksAnywhereSubscription_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** ClientException **   
These errors are usually caused by a client action. Actions can include using an action or resource on behalf of an [IAM principal](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_terms-and-concepts.html) that doesn't have permissions to use the action or resource or specifying an identifier that is not valid.    
 ** addonName **   
The Amazon EKS add-on name associated with the exception.  
 ** clusterName **   
The Amazon EKS cluster associated with the exception.  
 ** message **   
These errors are usually caused by a client action. Actions can include using an action or resource on behalf of an [IAM principal](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_terms-and-concepts.html) that doesn't have permissions to use the action or resource or specifying an identifier that is not valid.  
 ** nodegroupName **   
The Amazon EKS managed node group associated with the exception.  
 ** subscriptionId **   
The Amazon EKS subscription ID with the exception.
HTTP Status Code: 400

 ** InvalidParameterException **   
The specified parameter is invalid. Review the available parameters for the API request.    
 ** addonName **   
The specified parameter for the add-on name is invalid. Review the available parameters for the API request  
 ** clusterName **   
The Amazon EKS cluster associated with the exception.  
 ** fargateProfileName **   
The Fargate profile associated with the exception.  
 ** message **   
The specified parameter is invalid. Review the available parameters for the API request.  
 ** nodegroupName **   
The Amazon EKS managed node group associated with the exception.  
 ** subscriptionId **   
The Amazon EKS subscription ID with the exception.
HTTP Status Code: 400

 ** InvalidRequestException **   
The request is invalid given the state of the cluster. Check the state of the cluster and the associated operations.    
 ** addonName **   
The request is invalid given the state of the add-on name. Check the state of the cluster and the associated operations.  
 ** clusterName **   
The Amazon EKS cluster associated with the exception.  
 ** message **   
The Amazon EKS add-on name associated with the exception.  
 ** nodegroupName **   
The Amazon EKS managed node group associated with the exception.  
 ** subscriptionId **   
The Amazon EKS subscription ID with the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource could not be found. You can view your available clusters with `ListClusters`. You can view your available managed node groups with `ListNodegroups`. Amazon EKS clusters and node groups are AWS Region specific.    
 ** addonName **   
The Amazon EKS add-on name associated with the exception.  
 ** clusterName **   
The Amazon EKS cluster associated with the exception.  
 ** fargateProfileName **   
The Fargate profile associated with the exception.  
 ** message **   
The Amazon EKS message associated with the exception.  
 ** nodegroupName **   
The Amazon EKS managed node group associated with the exception.  
 ** subscriptionId **   
The Amazon EKS subscription ID with the exception.
HTTP Status Code: 404

 ** ServerException **   
These errors are usually caused by a server-side issue.    
 ** addonName **   
The Amazon EKS add-on name associated with the exception.  
 ** clusterName **   
The Amazon EKS cluster associated with the exception.  
 ** message **   
These errors are usually caused by a server-side issue.  
 ** nodegroupName **   
The Amazon EKS managed node group associated with the exception.  
 ** subscriptionId **   
The Amazon EKS subscription ID with the exception.
HTTP Status Code: 500

## See Also
<a name="API_UpdateEksAnywhereSubscription_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/eks-2017-11-01/UpdateEksAnywhereSubscription) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/eks-2017-11-01/UpdateEksAnywhereSubscription) 